Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::OS::Echo_Suppression Class Referenceabstract

`#include <os_utils.h>`

## Public Member Functions
virtual void | reenable_echo ()=0
virtual | ~Echo_Suppression ()

## Detailed Description

Represents a terminal state

Definition at line 174 of file os_utils.h.

## Constructor & Destructor Documentation

## ◆ ~Echo_Suppression()

virtual Botan::OS::Echo_Suppression::~Echo_Suppression | ( |  | ) |
| inline virtual

Implicitly calls reenable_echo, but swallows/ignored all errors which would leave the terminal in an invalid state.

Definition at line 187 of file os_utils.h.

187{}

## Member Function Documentation

## ◆ reenable_echo()

virtual void Botan::OS::Echo_Suppression::reenable_echo | ( |  | ) |
| pure virtual

Reenable echo on this terminal. Can be safely called multiple times. May throw if an error occurs.

The documentation for this class was generated from the following file:

- src/lib/utils/os_utils.h